package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2020-08-26
 * 分厂信息
 * @author jlutt
 */
public class CompanyInfo extends BaseEntity {

    @Comment("id")
    @RColumn("id")
    private long id;

    @Comment("分厂名称")
    @RColumn("companyname")
    @ApiPlace("/doc/getCompanyInfoList")
    @ApiPlace("/doc/getCompanyInfo")
    @ApiPlace("/doc/addCompanyInfo")
    @ApiPlace("/doc/updateCompanyInfo")
    private String companyName;

    @Comment("分厂地址")
    @RColumn("address")
    @ApiPlace("/doc/getCompanyInfoList")
    @ApiPlace("/doc/getCompanyInfo")
    @ApiPlace("/doc/addCompanyInfo")
    @ApiPlace("/doc/updateCompanyInfo")
    private String address;

    @Comment("联系人")
    @RColumn("linkman")
    @ApiPlace("/doc/getCompanyInfoList")
    @ApiPlace("/doc/getCompanyInfo")
    @ApiPlace("/doc/addCompanyInfo")
    @ApiPlace("/doc/updateCompanyInfo")
    private String linkMan;

    @Comment("联系电话")
    @RColumn("linkphone")
    @ApiPlace("/doc/getCompanyInfoList")
    @ApiPlace("/doc/getCompanyInfo")
    @ApiPlace("/doc/addCompanyInfo")
    @ApiPlace("/doc/updateCompanyInfo")
    private String linkPhone;

    @Comment("启用、禁用标记")
    @RColumn("voidflag")
    @ApiPlace("/doc/getCompanyInfoList")
    @ApiPlace("/doc/voidCompanyInfo")
    private int voidFlag;

    @Comment("排序")
    private int sortIndex;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLinkMan() {
        return linkMan;
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public String getLinkPhone() {
        return linkPhone;
    }

    public void setLinkPhone(String linkPhone) {
        this.linkPhone = linkPhone;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public int getSortIndex() {
        return sortIndex;
    }

    public void setSortIndex(int sortIndex) {
        this.sortIndex = sortIndex;
    }
}
